版本说明 - v2.4.11

Rancher 2.4.11 版本于 2020 年 12 月 1 日发布。单击这里查看英文版版本说明。

重要说明

  • 请阅读v2.4.0 版本说明中的重要更新和重大改动的说明

  • Kubernetes 1.18 现在为默认版本 [#25117]: Kubernetes 1.18 现在为默认版本。在任何时候升级 Kubernetes 版本之前,请阅读 Kubernetes 的版本说明,来了解重要变更。

  • 使用单节点 Docker 安装的用户请注意: Docker 容器中的 Etcd 已从 3.3 升级到了 3.4,因此,您必须在升级之前进行备份,以便能够回滚到 v2.3.x 版本。没有此备份,将无法回滚。

  • 使用节点池功能,并使用 RHEL/CentOS 的用户请注意 [#18065]: RHEL / CentOS 节点的默认存储驱动已更新为overlay2。如果您的节点模板未指定存储驱动,则在使用该模版创建新节点时,将使用默认值overlay2而不是之前的devicemapper作为存储驱动。如果您需要继续使用devicemapper作为存储驱动选项,请编辑节点模板,并将存储驱动显式设置为 devicemapper

  • 使用 Windows 集群的用户请注意 [#25582]: Windows 已于 2 月 11 日发布了安全补丁程序。升级之前,请更新您的节点以包括此安全补丁程序,否则,升级将失败,直到您使用该补丁程序为止。

  • Rancher 部署的集群(RKE 集群)需要额外的 500MB 磁盘空间 Rancher 部署的集群(RKE 集群)默认开启了审计日志功能。

  • Rancher 部署的集群(RKE 集群)升级方式发生了变化 [#23897]: 请参考零宕机升级功能以了解更多信息。

版本

下面的版本为当前的最新版和稳定版:

类型Rancher 版本Docker 标签Helm 仓库Helm Chart 版本
最新版v2.5.3rancher/rancher:latestserver-charts/latestv2.5.3
稳定版v2.5.3rancher/rancher:stableserver-charts/stablev2.5.3

功能和优化

  • 在 AKS 中引入对阿联酋北部地区的支持。

自 v2.4.8 以来修复的主要问题

  • 修正了一个在启用项目网络隔离的情况下,集群中 CPU 使用率非常高的 bug。 注意:这需要重新部署nginx-ingress-controller,详情请参考Issue 中的这条评论

  • 修正了使用 Mirantis 容器运行时 docker 19.03.13 的 Windows 节点无法加入集群的问题。

自 v2.4.8 以来修复的小问题

  • 修正了一个 UI 问题,如果目录应用程序在没有任何改变的情况下升级,它们会自动升级到最新版本。
  • 修正了 Elasticsearch 只用秒而不是纳秒记录时间戳的问题。
  • 修正了一个问题,即配置警报会导致 webhook 未找到的错误,即使警报没有被 webhook 转发。

离线安装和升级

在 v2.4.0 的版本里,离线安装将不在需要手动同步 system charts 的源代码仓库了。具体操作请参阅有关安装 Rancher 时,如何使用内嵌的 system charts

版本信息

镜像

rancher/rancher:v2.4.11 rancher/rancher-agent:v2.4.11

工具

Kubernete 版本

Rancher 支持升级回滚操作。在修改 Rancher 版本时,请先确认您要升级到或者回滚到的 Rancher 版本。

请注意,在升级到 v2.3.0 或者以上版本时,第一次修改通过 Rancher v2.3.0 之前版本部署的 RKE 集群时,由于要向系统组件中加入 Tolerations,该集群全部的系统组件将会自动重启。请事先规划好。

如果您的 Rancher HA 在使用 低于 v0.9.1 的 cert-manager,并且是自签名证书,由于 cert-manager 最新的变化,您需要升级 cert-manager 的版本。具体操作请参阅有关如何升级 cert-manager的文档。

重要:回滚时,我们建议回滚至升级前的状态,Rancher 不会保留回滚前的修改。

Assets

请在这里获取该版本的 Assets。

最后由 yzeng25更新 于